.modal_wrapper {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal {
  width: 517px;
  height: 253px;
  border-radius: 3px;
  color: #ffffff;
  z-index: 1;
  background-color: #E74C3C;
  font-family: "Helvetica Neue", sans-serif;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  &_header {
    height: 69px;
    background-color: #D44637;
    position: relative;
    display: flex;
    align-items: center;

    &_text {
      margin-bottom: 0;
      margin-left: 35px;
      margin-top: 0;
    }
  }

  &_body {
    height: calc(100% - 69px);
    display: flex;
    align-items: center;
    flex-direction: column;

    &_text {
      margin-bottom: 0;
      margin-top: 39px;
      max-width: 433px;
      display: flex;
      word-break: break-all;
      font-size: 15px;
      line-height: 2;
    }

    &_buttons {
      width: 213px;
      display: flex;
      justify-content: space-between;
      margin-top: 34px;
    }

    &_button {
      background-color: #B3382C;
      color: #fff;
      padding: 0;
      border: none;
      width: 102px;
      height: 42px;
      cursor: pointer;
      border-radius: 3px;
    }
  }
}

.close {
  position: absolute;
  right: 31px;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  opacity: 0.3;
  cursor: pointer;

  &:hover {
    opacity: 1;
  }

  &::before, &::after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 20px;
    width: 2px;
    background-color: #fff;
  }

  &::before {
    transform: rotate(45deg);
  }

  &::after {
    transform: rotate(-45deg);
  }
}
